.wp-block-button.is-style-white-dark .wp-block-button__link {
	background-color: var(--wp--preset--color--one);
	border-color: var(--wp--preset--color--one);
	color: var(--wp--preset--color--two);
}

.wp-block-button.is-style-white-dark .wp-block-button__link:hover,
.wp-block-button.is-style-white-dark .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--two);
	border-color: var(--wp--preset--color--two);
	color: var(--wp--preset--color--one);
}

.wp-block-button.is-style-teal-white .wp-block-button__link {
	background-color: var(--wp--preset--color--five);
	border-color: var(--wp--preset--color--five);
	color: var(--wp--preset--color--one);
	position: relative;
	font-family: var(--wp--preset--font-family--three);
	font-size: 15px;
	font-weight: 500;
	letter-spacing: 1.5px;
}

.wp-block-button.is-style-teal-white .wp-block-button__link::after {
	content: "";
	display: inline-block;
	background-image: url(../images/icon-link.svg);
    background-position: 0 0;
    background-repeat: no-repeat;
	width: 22px;
	height: 15px;
	margin-left: 10px;
    top: 2px;
    position: relative;
	filter: brightness(0) saturate(100%) invert(99%) sepia(1%) saturate(2925%) hue-rotate(268deg) brightness(111%) contrast(100%);
}

.wp-block-button.is-style-teal-white .wp-block-button__link:hover,
.wp-block-button.is-style-teal-white .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--one);
	border-color: var(--wp--preset--color--one);
	color: var(--wp--preset--color--two);
}

.wp-block-button.is-style-teal-white .wp-block-button__link:hover:after,
.wp-block-button.is-style-teal-white .wp-block-button__link:focus:after {
	filter: none;
}

.wp-block-button.is-style-teal-gold .wp-block-button__link {
	background-color: var(--wp--preset--color--five);
	border-color: var(--wp--preset--color--five);
	color: var(--wp--preset--color--one);
	position: relative;
	font-family: var(--wp--preset--font-family--three);
	font-size: 15px;
	font-weight: 500;
	letter-spacing: 1.5px;
}

.wp-block-button.is-style-teal-gold .wp-block-button__link::after {
	content: "";
	display: inline-block;
	background-image: url(../images/icon-link.svg);
    background-position: 0 0;
    background-repeat: no-repeat;
	width: 22px;
	height: 15px;
	margin-left: 10px;
    top: 2px;
    position: relative;
	filter: brightness(0) saturate(100%) invert(99%) sepia(1%) saturate(2925%) hue-rotate(268deg) brightness(111%) contrast(100%);
}

.wp-block-button.is-style-teal-gold .wp-block-button__link:hover,
.wp-block-button.is-style-teal-gold .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--six);
	border-color: var(--wp--preset--color--six);
	color: var(--wp--preset--color--one);
}

.wp-block-button.is-style-gold-teal .wp-block-button__link {
	background-color: var(--wp--preset--color--six);
	border-color: var(--wp--preset--color--six);
	color: var(--wp--preset--color--one);
	position: relative;
	font-family: var(--wp--preset--font-family--three);
	font-size: 15px;
	font-weight: 500;
	letter-spacing: 1.5px;
}

.wp-block-button.is-style-gold-teal .wp-block-button__link::after {
	content: "";
	display: inline-block;
	background-image: url(../images/icon-link.svg);
    background-position: 0 0;
    background-repeat: no-repeat;
	width: 22px;
	height: 15px;
	margin-left: 10px;
    top: 2px;
    position: relative;
	filter: brightness(0) saturate(100%) invert(99%) sepia(1%) saturate(2925%) hue-rotate(268deg) brightness(111%) contrast(100%);
}

.wp-block-button.is-style-gold-teal .wp-block-button__link:hover,
.wp-block-button.is-style-gold-teal .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--five);
	border-color: var(--wp--preset--color--five);
	color: var(--wp--preset--color--one);
}

.wp-block-button.is-style-white-teal .wp-block-button__link {
	background-color: var(--wp--preset--color--one);
	border-color: var(--wp--preset--color--one);
	color: var(--wp--preset--color--two);
	position: relative;
	font-family: var(--wp--preset--font-family--three);
	font-size: 15px;
	font-weight: 500;
	letter-spacing: 1.5px;
}

.wp-block-button.is-style-white-teal .wp-block-button__link::after {
	content: "";
	display: inline-block;
	background-image: url(../images/icon-link.svg);
    background-position: 0 0;
    background-repeat: no-repeat;
	width: 22px;
	height: 15px;
	margin-left: 10px;
    top: 2px;
    position: relative;
}

.wp-block-button.is-style-white-teal .wp-block-button__link:hover,
.wp-block-button.is-style-white-teal .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--five);
	border-color: var(--wp--preset--color--five);
	color: var(--wp--preset--color--one);
}

.wp-block-button.is-style-white-teal .wp-block-button__link:hover:after,
.wp-block-button.is-style-white-teal .wp-block-button__link:focus:after {
	filter: brightness(0) saturate(100%) invert(99%) sepia(1%) saturate(2925%) hue-rotate(268deg) brightness(111%) contrast(100%);
}

.wp-block-button.is-style-white-gold .wp-block-button__link {
	background-color: var(--wp--preset--color--one);
	border-color: var(--wp--preset--color--one);
	color: var(--wp--preset--color--two);
	position: relative;
	font-family: var(--wp--preset--font-family--three);
	font-size: 15px;
	font-weight: 500;
	letter-spacing: 1.5px;
}

.wp-block-button.is-style-white-gold .wp-block-button__link::after {
	content: "";
	display: inline-block;
	background-image: url(../images/icon-link.svg);
    background-position: 0 0;
    background-repeat: no-repeat;
	width: 22px;
	height: 15px;
	margin-left: 10px;
    top: 2px;
    position: relative;
}

.wp-block-button.is-style-white-gold .wp-block-button__link:hover,
.wp-block-button.is-style-white-gold .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--six);
	border-color: var(--wp--preset--color--six);
	color: var(--wp--preset--color--one);
}

.wp-block-button.is-style-white-gold .wp-block-button__link:hover:after,
.wp-block-button.is-style-white-gold .wp-block-button__link:focus:after {
	filter: brightness(0) saturate(100%) invert(99%) sepia(1%) saturate(2925%) hue-rotate(268deg) brightness(111%) contrast(100%);
}


.wp-block-button.is-style-text-link .wp-block-button__link,
.wp-block-post-excerpt__more-text a.wp-block-post-excerpt__more-link {
	background: url(../images/icon-link.svg) no-repeat right 7px;
	border: none;
	border-radius: 0;
	color: var(--wp--preset--color--two);
	font-family: var(--wp--preset--font-family--three);
	font-size: 15px;
	font-weight: 500;
	letter-spacing: 1.5px;
	padding: 5px 35px 1px 0;
	min-width: auto;
	text-decoration: none;
}

.wp-block-button.is-style-text-link .wp-block-button__link:hover,
.wp-block-post-excerpt__more-text a.wp-block-post-excerpt__more-link:hover {
	text-decoration: underline;
}

